/**
 * @file 	ummainpage.h
 * @brief 	This file just used to dummy information for LPCUSBlib document generating.
 * @author 	NXP LPCUSBlib Team.
 * @date 	26 Oct 2012
 */

/* Main page ------------------------------------------------------------------ */
/**
 
 */


/* Main-group definitions ----------------------------------------------------- */

/**
 * @defgroup LPCUSBlib LPCUSBlib
 * @ingroup USB_LPCUSBLIB
 * @{
 * @brief LPCUSBLib - A USB Library for NXP's MCU series
 * \image html LPCUSBLib_thumb.png
 * <b>
 * <p>LPCUSBlib is a full featured, open-source USB library designed
 * to run on all USB capable LPC microcontrollers from NXP.</p>
 * </b>
 * <p>The library includes support for</p>
 * <ul>
 * <li>USB 2.0</li>
 * <li>Host and device modes</li>
 * <li>Low, full and high speed transfer rates</li>
 * <li>Control, bulk, interrupt, and isochronous transfer types</li>
 * </ul>
 * <p>&nbsp;</p>
 * <div style="text-align: center;"><a
 * href="http://www.lpcware.com/content/project/LPCUSBlib/get-it">Visit
 * http://www.lpcware.com/content/project/LPCUSBlib to get the
 * latest version of LPCUSBlib</a></div>
 * <p>&nbsp;</p>
 *
 * \b <b>NXP's License:</b>
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *
 */
  
 
/** @defgroup Group_USBD On Chip USB Rom Drivers
  * @{
	*/

/** @defgroup Group_USBD_Class On Chip USB Rom Class Drivers
  * @{
	*/

	
  /**
  * @}
  */

	
  /**
  * @}
  */
  
/**
 * @}
 */

/* End Of File ---------------------------------------------------------------- */

