/*
 * LPC43XX Dual core Blinky FreeRTOS Cortex-M4 LD script
*/

MEMORY
{
  /* Define each memory region */
  RO_MEM (rx) : ORIGIN = 0x1a000000, LENGTH = 0x40000 /* 256K */
  RW_MEM (rwx) : ORIGIN = 0x10000000, LENGTH = 0x8000 /* 32k */
  RW_MEM1 (rwx) : ORIGIN = 0x20004000, LENGTH = 0xC000 /* 48K */
  SH_MEM (rwx) : ORIGIN = 0x20000000, LENGTH = 0x2000 /* 8k */
  FAT12_MEM (rwx) : ORIGIN = 0x20002000, LENGTH = 0x2000 /* 8k */

}

  __top_RW_MEM = 0x10000000 + 0x8000;

INCLUDE "../../../../tool_configs/lpcxpresso_linker_scripts/lpc43xx_dualcore_lib.ld"
INCLUDE "../../../../tool_configs/lpcxpresso_linker_scripts/lpc43xx_dualcore.ld"
